#include<stdio.h>
int main(){
	int s=0,N,i;
	float A,P,rez,max;
	scanf("%d",&N);
	max=A*P;
	for(i=1;i<=N;i=i+1){
		scanf("%f %f",&A,&P);
	 rez=A*P;
	 if(rez>max) max=rez;
	}
	printf("%f",max);
	return 0;
	
}